#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  libslirp-4.9.0

- Next

  libsoup-3.6.4

- Up
- Home

# libsoup-2.74.3

## Introduction to libsoup

The libsoup is a HTTP client/server library for GNOME. It uses GObject and the GLib main loop to integrate with GNOME applications and it also has an asynchronous API for use in threaded applications.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libsoup/2.74/libsoup-2.74.3.tar.xz

- Download MD5 sum: 8f657fd301a213629204b3320c35d75a

- Download size: 1.4 MB

- Estimated disk space required: 17 MB (with tests)

- Estimated build time: 0.3 SBU (Using parallelism=4; with tests)

### libsoup Dependencies

#### Required

glib-networking-2.80.1, libpsl-0.21.5, libxml2-2.13.6, and SQLite-3.49.1

#### Recommended

GLib-2.82.5 (with GObject Introspection) and Vala-0.56.17

#### Optional

Apache-2.4.63 (required to run the test suite), Brotli-1.1.0, cURL-8.12.1 (required to run the test suite), MIT Kerberos V5-1.21.3 (required to run the test suite), GTK-Doc-1.34.0, PHP-8.4.4 compiled with XMLRPC-EPI support (only used for the XMLRPC regression tests), Samba-4.21.4 (ntlm_auth is required to run the test suite), and sysprof

## Installation of libsoup

Install libsoup by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D vapi=enabled     \
                -D gssapi=disabled  \
                -D sysprof=disabled \
                ..                  &&
    ninja

To test the results, issue: ninja test. One test named `ssl-test` is known to fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D vapi=disabled`: Use this if you have not installed Vala, e.g. because you are not building GNOME.

`-D doc=enabled`: Use this option if you want to build the documentation. Note that you must have GTK-Doc-1.34.0 installed.

`-D gssapi=disabled`: libsoup defaults to building with GSSAPI support, which requires Kerberos (as does the test suite). If you are building GNOME or have kerberos installed, remove this option.

`-D sysprof=disabled`: libsoup will automatically download a git version of sysprof if git is available or use the installed version if it is present on the system. If you need profiling, remove this option.

## Contents

Installed Programs: None
Installed Libraries: libsoup-2.4.so and libsoup-gnome-2.4.so
Installed Directories: /usr/include/libsoup-2.4, /usr/include/libsoup-gnome-2.4 and /usr/share/gtk-doc/html/libsoup-2.4

### Short Descriptions

`libsoup-2.4.so` | provides functions for asynchronous HTTP connections
`libsoup-gnome-2.4.so` | provides GNOME specific features

- Prev

  libslirp-4.9.0

- Next

  libsoup-3.6.4

- Up
- Home